Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1647457 - [wayland] firefox tab dragging does not work
Summary: [wayland] firefox tab dragging does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1768055 (view as bug list)
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2018-11-07 14:05 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2021-11-05 08:34 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-05 08:34:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot Mozilla overlapping tabs (deleted)
2019-11-21 19:08 UTC, Brent R Brian
no flags Details

Description Zbigniew Jędrzejewski-Szmek 2018-11-07 14:05:17 UTC
Description of problem:
Dragging a tab with left mouse button to reorder tabs (or to move tab to a different window) has no effect. Modifiers (alt, shift, ctrl) + drag also has no effect. Left-click and middle-click and right-click have the expected effects. Left-drag, middle-drag, right-drag all have no effect.

Previously I reported https://bugzilla.redhat.com/show_bug.cgi?id=1583533, but this one is different, now the drag operation has no visible effect whatsoever.

Version-Release number of selected component (if applicable):
firefox-wayland-63.0.1-1.fc29.x86_64

Steps to Reproduce:
1. open a window with a least two tabs
2. drag on of the tabs to reorder

Actual results:
none

Expected results:
the tab handle moves and tab order is changed

When I try with firefox-63.0.1-1.fc29.x86_64, dragging works fine, so this seems to be limited to wayland.

Comment 1 Martin Stransky 2018-11-07 14:30:24 UTC
Yes, I see that too. It usually helps to restart the browser...I wonder what makes that non-functional.

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-11-07 14:37:42 UTC
Yes, I can confirm that this is fixed after a restart.

I'm downloading firefox-63.0.1-5.fc29.x86_64. I'll report if I see this again.

Comment 3 Martin Stransky 2018-11-08 10:13:48 UTC
I don't think it's fixed in some particular firefox version - I suspects it's something what broken after some time time when the browser is used.

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-11-08 21:44:36 UTC
Strange, suddenly I can drag tabs again (without restarting the browser). So it's some external bit of state that flips.

(This version of firefox is the first one which works enough on wayland for continuous use. There are glitches, but nothing major. Expect more bug reports ;))

Comment 5 Christian Stadelmann 2019-02-17 11:31:13 UTC
(In reply to Martin Stransky from comment #1)
> Yes, I see that too. It usually helps to restart the browser...I wonder what
> makes that non-functional.

Same here with Firefox 65.0 on Fedora 29 / GNOME wayland 3.30.2-1.fc29 / gtk 3.24.1-2.fc29

Comment 6 Christian Stadelmann 2019-08-12 20:02:35 UTC
Still present in F30 with firefox-68.0-4.fc30.x86_64.

Comment 7 Juan Orti 2019-10-16 13:23:34 UTC
This is happening on F31 too

firefox-69.0.3-1.fc31.x86_64
gnome-shell-3.34.1-2.fc31.x86_64
mutter-3.34.1-3.fc31.x86_64

Comment 8 Tom Hughes 2019-10-21 12:52:33 UTC
Even when dragging tabs to reordering them works, dragging them out of the window to move them to a new window doesn't.

Comment 9 Martin Stransky 2019-11-05 10:57:52 UTC
Reported as https://gitlab.gnome.org/GNOME/mutter/issues/740
looks like mutter issue.

Comment 10 Martin Stransky 2019-11-05 10:58:17 UTC
*** Bug 1768055 has been marked as a duplicate of this bug. ***

Comment 11 Zbigniew Jędrzejewski-Szmek 2019-11-11 17:29:13 UTC
FWIW, still an issue with mutter-3.34.1-7.fc31.x86_64 + firefox-70.0-1.fc31.x86_64.

Comment 12 Brent R Brian 2019-11-18 14:51:30 UTC
firefox-70.0-1.fc31.x86_64 have improvements .... 

* NOT WORKING drag tab to create new window

* WORKING can reorder tabs

Comment 13 Martin Stransky 2019-11-19 12:27:40 UTC
(In reply to Brent R Brian from comment #12)
> firefox-70.0-1.fc31.x86_64 have improvements .... 
> 
> * NOT WORKING drag tab to create new window
> 
> * WORKING can reorder tabs

Is that a https://bugzilla.mozilla.org/show_bug.cgi?id=1527976 ?
If not, can you please create a screencast of the issue? 
Thanks.

Comment 14 Brent R Brian 2019-11-19 12:48:41 UTC
It appears to be the identical complaint

Comment 15 Tom Hughes 2019-11-19 13:02:10 UTC
As far as I can tell it's not true that firefox-70.0-1.fc31.x86_64 is improved. I've been running that and later versions and the all the problems persist, namely:

* Inability to reorder tabs
* Inability to rip off tabs
* Inability to drag URLs out of the window

Reordering tabs and dragging URLs does work for a while, as previously mentioned, but at some point it will stop working.

Ripping off tabs never seems to work, so that likely does involved the Mozilla bug mentioned.

Comment 16 Martin Stransky 2019-11-19 13:06:15 UTC
(In reply to Tom Hughes from comment #15)
> As far as I can tell it's not true that firefox-70.0-1.fc31.x86_64 is
> improved. I've been running that and later versions and the all the problems
> persist, namely:
> 
> * Inability to reorder tabs
> * Inability to rip off tabs
> * Inability to drag URLs out of the window
> 
> Reordering tabs and dragging URLs does work for a while, as previously
> mentioned, but at some point it will stop working.

This is a mutter bug - https://gitlab.gnome.org/GNOME/mutter/issues/740
Please comment there.

> Ripping off tabs never seems to work, so that likely does involved the
> Mozilla bug mentioned.

Comment 17 Brent R Brian 2019-11-19 14:12:00 UTC
firefox-70.0-1.fc31.x86_64 have improvements .... BUT

* NOT WORKING drag tab to create new window

* WORKING can reorder tabs ONLY AFTER CLOSING BROWSER & RE-OPENING

Comment 18 Brent R Brian 2019-11-21 19:08:24 UTC
Created attachment 1638567 [details]
Screenshot Mozilla overlapping tabs

Overlapping tabs

Comment 19 Robert Mader 2020-01-31 12:21:40 UTC
This got fixed in https://gitlab.gnome.org/GNOME/mutter/merge_requests/1031

Comment 20 Brent R Brian 2020-01-31 14:34:28 UTC
Does appear to work i Firefox 72.0

Comment 21 Robert Mader 2020-01-31 14:36:53 UTC
P.S.: that means it will be fixed in 3.34.4 / fedora 31. Will not backport to 3.32 / fedora 30.

Comment 22 Vojtěch Straka 2020-04-11 14:00:04 UTC
Still happens for me in Firefox 74.0.1 (64-bit) in GNOME 3.34.4 / Fedora 31

Comment 23 Vít Ondruch 2020-04-24 09:02:33 UTC
Still problematic:

~~~
$ rpm -q firefox
firefox-75.0-2.fc33.x86_64

$ rpm -q mutter
mutter-3.36.1-3.fc33.x86_64
~~~

Comment 24 Brent R Brian 2020-07-17 11:04:34 UTC
Latest version of firefox seems MUCH better.

Comment 25 Tom Hughes 2020-07-17 11:13:27 UTC
Still broken for me.

Comment 26 Brent R Brian 2020-09-11 17:12:57 UTC
Firefox 80 fixes tab ordering, but, dragging tab to make new window is "iffy" ... I have been right-click moving the tab.

Comment 27 Tom Hughes 2020-09-11 17:23:24 UTC
I'm afraid not, it's still broken for me in 00.

Comment 28 Ben Beasley 2020-09-15 21:49:05 UTC
On Firefox 80.0.1 (and mutter 3.36.6), dragging tabs still works only some of the time for me, either to rearrange or to make a new window.

Comment 29 Juan Orti 2020-10-30 10:25:56 UTC
This is still an issue in Fedora 33. After booting, I can rearrange the tabs, but after a while it stops working.

firefox-82.0-5.fc33.x86_64
gnome-shell-3.38.1-2.fc33.x86_64
mutter-3.38.1-1.fc33.x86_64

Comment 30 Christian Kujau 2020-12-11 12:19:40 UTC
Exactly the same issue as Juan Orti Alcaine reported: after booting, I can rearrange the tabs, but after a while it stops working.

firefox-83.0-13.fc33.x86_64
gnome-shell-3.38.2-1.fc33.x86_64
mutter-3.38.2-1.fc33.x86_64
xorg-x11-server-Xwayland-1.20.10-1.fc33.x86_64

Note: I am always able to right-click a tab, then "Move tab" => "Move to start" and the tab will move to the start, but I'm unable to really rearrange the tabs by just dragging them around.

Comment 31 Nicolas Epstein 2021-01-18 00:27:19 UTC
I can confirm having the exact same issue in Fedora 33. Restarting firefox is the only workaround I've found

firefox-84.0.2.fc33.x86_64
gnome-shell-3.38.3-1.fc33.x86_64
mutter-3.38.3-1.fc33.x86_64

Comment 32 Zbigniew Jędrzejewski-Szmek 2021-03-31 18:15:07 UTC
firefox-87.0-2.fc34.x86_64 seems better. Now I see a little vertical indicator, and dragging works. But in the past this has been an on-and-off affair, so I'll keep monitoring it for a while.

Comment 33 udo 2021-04-04 11:36:12 UTC
firefox-87.0-2.fc33.x86_64 on Fedora 33: Still happens.

Comment 34 Zbigniew Jędrzejewski-Szmek 2021-04-04 11:49:06 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #32)
> firefox-87.0-2.fc34.x86_64 seems better.

Nope, still broken.

Comment 35 Brent R Brian 2021-05-17 20:08:43 UTC
88.0.1 seems good ...

drag tab to new window
drag tab to another window
reorganize tabs same window

Comment 36 J. Bruce Fields 2021-05-17 20:30:06 UTC
I'm on 88.0.1, and haven't seen any change in behavior: dragging tab to a new window or another window still does not work.  (Dragging to reorgnize within one window does.)

firefox-88.0.1-1.fc34.x86_64
gnome-shell-40.1-1.fc34.x86_64
mutter-40.1-1.fc34.x86_64

Comment 37 Tom Hughes 2021-05-17 21:33:06 UTC
So far 88.0.1 does seem to be working for me. I can reorder tabs, rip tabs off, move tabs between windows and drag links out of the browser.

Comment 38 Lucious 2021-05-31 15:16:55 UTC
I am still having this issue in fedora 34. For a brief moment it seemed to be fixed, but lately I cannot get tab dragging to new window to work at all.

firefox-88.0.1-1.fc34.x86_64
mutter-40.1-1.fc34.x86_64

Comment 39 Florian Kisser 2021-08-17 18:42:44 UTC
Seems to be fixed in nightly when widget.wayland.async-clipboard.enabled

DnD issue:
https://bugzilla.mozilla.org/show_bug.cgi?id=1719894

Async clipboard:
https://bugzilla.mozilla.org/show_bug.cgi?id=1725149#c5

Comment 40 Ben Cotton 2021-11-04 13:43:51 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 41 Ben Cotton 2021-11-04 14:13:22 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 42 Ben Cotton 2021-11-04 15:10:58 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 43 Zbigniew Jędrzejewski-Szmek 2021-11-04 18:35:49 UTC
It now works fine for me in F35. It's been a while, so I don't remember when exactly it was fixed.

Comment 44 J. Bruce Fields 2021-11-04 20:23:39 UTC
Fedora 35, firefox-94.0-1.fc35.x86_64, it's working for me.

The problem was always intermittent, but it's been working for me all day, which is longer than it lasted before, so maybe it's fixed.

Comment 45 Christian Stadelmann 2021-11-05 08:34:47 UTC
I also haven't seen it in a while, so long that I cannot remember it at all.

I'm closing it as CURRENTRELEASE. Please feel free to reopen if you can still reproduce the issue.


Note You need to log in before you can comment on or make changes to this bug.